package com.logicbig.example;

import org.junit.Test;
import org.mockito.Mockito;
import java.util.Iterator;

public class IteratorStyleTest {

    @Test
    public void processTest() {
        Iterator<Integer> iterator = Mockito.mock(Iterator.class);
        Mockito.when(iterator.hasNext()).thenReturn(true, true, true, false);
        Mockito.when(iterator.next()).thenReturn(10, 20, 30);
        while (iterator.hasNext()) {
            System.out.println(iterator.next());
        }

    }
}