package com.logicbig.example;

import org.junit.Assert;
import org.junit.Test;
import org.mockito.Mockito;
import java.util.Iterator;

public class IteratorStyleTest2 {

    @Test
    public void processTest() {
        Iterator<Integer> iterator = Mockito.mock(Iterator.class);
        Mockito.when(iterator.hasNext()).thenReturn(true, true, true, false);

        Mockito.when(iterator.next()).thenReturn(10, 20, 30);
        for (int i = 0; iterator.hasNext(); i++) {
            int next = iterator.next();
            switch (i) {
                case 0:
                    Assert.assertEquals(next, 10);
                    break;
                case 1:
                    Assert.assertEquals(next, 20);
                    break;
                case 2:
                    Assert.assertEquals(next, 30);
                    break;
            }
        }
    }
}